package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.enums.ImNetworkDeviceTypeEnum;
import io.swagger.annotations.ApiModelProperty;

public class ImNetworkDeviceControlDto {
	@ApiModelProperty(value = "需要操作的类型",required = true)
	private ImNetworkDeviceTypeEnum deviceType;

	@ApiModelProperty(value = "开关",required = true)
	private Boolean enable;

	@ApiModelProperty(value = "房间号",required = true)
	private String roomId;

	@ApiModelProperty(value = "用户编号",required = true)
	private Long userId;

	@ApiModelProperty(value = "ticket",required = true)
	private String ticket;

	@ApiModelProperty(value = "状态",required = true)
	private Integer status;

	@ApiModelProperty(value = "原音",required = true)
	private Integer musicSheetId;

	@ApiModelProperty(value = "伴奏",required = true)
	private Integer musicSheetAccompanimentId;

	@ApiModelProperty(value = "伴奏音量",required = true)
	private Integer soundVolume = 100;

	public ImNetworkDeviceTypeEnum getDeviceType() {
		return deviceType;
	}

	public void setDeviceType(ImNetworkDeviceTypeEnum deviceType) {
		this.deviceType = deviceType;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getRoomId() {
		return roomId;
	}

	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getTicket() {
		return ticket;
	}

	public void setTicket(String ticket) {
		this.ticket = ticket;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getMusicSheetId() {
		return musicSheetId;
	}

	public void setMusicSheetId(Integer musicSheetId) {
		this.musicSheetId = musicSheetId;
	}

	public Integer getMusicSheetAccompanimentId() {
		return musicSheetAccompanimentId;
	}

	public void setMusicSheetAccompanimentId(Integer musicSheetAccompanimentId) {
		this.musicSheetAccompanimentId = musicSheetAccompanimentId;
	}

	public Integer getSoundVolume() {
		return soundVolume;
	}

	public void setSoundVolume(Integer soundVolume) {
		this.soundVolume = soundVolume;
	}
}
